WLED 0.11

Posted on
Mon Nov 30, 2020 6:03 pm
siclark offline
Posts: 1620
Joined: Jun 13, 2017
Location: UK

WLED 0.11

Hi, it might be just me, but the plugin no longer seems to connect now I have upgraded to 0.11. I know this was a fairly major change on the WLED side, does the plugin need any changes?

Thanks

Posted on
Mon Nov 30, 2020 6:12 pm
siclark offline
Posts: 1620
Joined: Jun 13, 2017
Location: UK

Re: WLED 0.11

Actually, maybe we can just use MQTT shims now?

Posted on
Tue Dec 01, 2020 2:16 am
neilk offline
Posts: 505
Joined: Jul 13, 2015
Location: Reading, UK

Re: WLED 0.11

I haven’t look at this for a while, but it should be simple to upgrade the plug-in and I will take a look tonight

Posted on
Tue Dec 01, 2020 3:18 pm
neilk offline
Posts: 505
Joined: Jul 13, 2015
Location: Reading, UK

Re: WLED 0.11

I just flashed a new NodeMCU with 0.11 and it seems to work fine, it may be the upgrade has somehow caused it to get a new/different IP address. I have nothing attached but cursory testing suggests it it OK and nothing in the API should break this. I will take a look and see if I need to do much work to add new features to control the enhancements.

Posted on
Tue Dec 01, 2020 3:20 pm
siclark offline
Posts: 1620
Joined: Jun 13, 2017
Location: UK

Re: WLED 0.11

Cheers. I’ll look again but IP is definitely the same. Might try a reinstall.

Posted on
Tue Dec 01, 2020 3:56 pm
siclark offline
Posts: 1620
Joined: Jun 13, 2017
Location: UK

Re: WLED 0.11

I am getting this error on it, although it did turn on the lights and set the right brightness.

WLED Error Error in plugin execution runConcurrentThread:

Traceback (most recent call last):
File "plugin.py", line 81, in runConcurrentThread
File "plugin.py", line 102, in update
File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/json/__init__.py", line 339, in loads
File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/json/decoder.py", line 364, in decode
File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/json/decoder.py", line 380, in raw_decode
ValueError: Unterminated string starting at: line 18 column 53 (char 2703)

WLED Error plugin runConcurrentThread function returned or failed (will attempt again in 10 seconds)

Posted on
Tue Dec 01, 2020 4:14 pm
neilk offline
Posts: 505
Joined: Jul 13, 2015
Location: Reading, UK

Re: WLED 0.11

I will take a look, out of interest how did you get it back responding ? I did an OTA upgrade on one of mine and it seems to have killed it, so will have to go up a ladder tomorrow. I will see if I can break it on the device I flashed from new and replicate your error.

Thanks,
Neil

Posted on
Tue Dec 01, 2020 4:18 pm
siclark offline
Posts: 1620
Joined: Jun 13, 2017
Location: UK

Re: WLED 0.11

I had a nightmare with it. I ended up reflashing it. It failed to OTA upgrade to 11, I was on 9 so tried to 10 first that seemed to work, then went to 11, and then it just died. Had to take out the box outside (thankfully mine at ground level) then reflash, and then had problems getting the software to work and find the USB sockets under Big Sur.

Whole thing took 90 mins rather than the 90 seconds it should have taken! My wife says its predictable that these things take this long!

Posted on
Thu Dec 03, 2020 1:58 pm
neilk offline
Posts: 505
Joined: Jul 13, 2015
Location: Reading, UK

Re: WLED 0.11

Is this still an issue? I am wondering if your WLED is in a strange state as I cannot replicate this and it looks like the JSON status coming back from the API is malformed as the plugin fails before processing.

If it is still a problem I will knock out a version with more logging so we can suss it out

Neil

Posted on
Sat Dec 05, 2020 12:25 pm
neilk offline
Posts: 505
Joined: Jul 13, 2015
Location: Reading, UK

Re: WLED 0.11

I have now upgraded all my WLED's to 0.11 and my advice is proceed with caution if you are doing upgrades. I ended up having to erase and refresh them, and then I found reconfiguring the network a little flaky with this version. It could have been reserved IP/DHCP issues, but I found them randomly rebooting mid configuration.

Earlier versions were rock solid in this regard.

The plugin definitely works with a clean 0.11 install but as yet does not support all of the new capability, new effects and palettes don't require a plugin update.

Posted on
Sat Dec 05, 2020 4:03 pm
siclark offline
Posts: 1620
Joined: Jun 13, 2017
Location: UK

Re: WLED 0.11

Ah. Glad it wasn’t me. Mine also crashed mid upgrade and eventually did a clean install.

I didn’t have network problems though once installed.

Page 1 of 1

Who is online

Users browsing this forum: No registered users and 1 guest